Skip to main content
POST
/
wallet
/
api
/
user
/
registerAndKyc
Register and KYC
curl --request POST \
  --url http://access-wallet.test.ftrader.pro/wallet/api/user/registerAndKyc
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "agencyCode": "<string>",
    "appId": "<string>",
    "appUserId": "<string>",
    "email": "[email protected]",
    "walletAccountType": "CORPORATE",
    "walletToken": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.cardplus.cc/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

agencyCode
string
required

Agency code

annualIncome
string

Annual income (USD)

appId
string
required

App identifier

birthday
string
required

Format: yyyy-MM-dd

cardUUID
string

Card account UUID

detailedAddress
string

Detailed address

documentExpiryDate
string

Document expiry date

documentNo
string
required

Document number

documentType
string
required

Document type

email
string
required

Email

firstName
string
required

First name (English only)

gender
enum<string>

Gender

Available options:
FEMALE,
MALE
lastName
string
required

Last name (English only)

mobile
string
required

Mobile number with region code

occupation
string

Occupation

photos
string
required

Document photo URLs

position
string

Position

region
string
required

Region

sign
string
required

Signature

supportDocumentType
enum<string>

Supporting document type

Available options:
ADDRESS_PROOF,
BANK_STATEMENT,
EMPLOYMENT_CONTRACT,
IMMIGRATION_ENDORSEMENT,
PROOF_OF_VISIT,
SALARY_PAYSLIP,
TENANCY_AGREEMENT,
TRAVEL_PERMIT,
WORK_VISA
supportDocumentUrl
string

Supporting document URL

Response

200 - application/json

OK

code
integer<int32>
required
msg
string
required
data
object